Skip to main content
POST
Create workspace custom field

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

workspace_id
string<uuid>
required

Workspace ID

Body

application/json
field_label
string
required

Display label (1-100 characters)

Maximum string length: 100
field_name
string

Optional machine-readable name (auto-generated from label if not provided)

Maximum string length: 50
is_preset
boolean
default:false

If true, field has a preset value for all users

preset_value
string

Preset value (max 500 characters, only used when is_preset=true)

Maximum string length: 500

Response

Custom field created successfully

A custom field definition for a workspace

id
string<uuid>

Unique identifier

field_name
string

Machine-readable field name (auto-generated from label)

field_label
string

Human-readable display label

is_preset
boolean

If true, this field has a preset value for all users

preset_value
string | null

Preset value (only used when is_preset=true)

created_at
string<date-time>
updated_at
string<date-time>